Draft Drehen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rotate and the translation is 85% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Rotate.svg Entwurf Drehen

Menüeintrag
Entwurf → Drehen
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
R O
In der Version eingeführt
0.7
Siehe auch
Draft Verschieben, Draft Anordnung


Beschreibung

Das Drehen-Werkzeug dreht oder kopiert die ausgewählten Objekte um einen gegebenen Winkel bezogen auf einen Referenzpunkt.

Das Drehen-Werkzeug kann mit 2D-Formen verwendet werden, die mit dem Draft oder Sketch-Arbeitsbereich erstellt wurden, kann aber auch mit vielen Arten von 3D-Objekten benutzt werden, wie die mit dem Part- oder Arch-Arbeitsbereich erzeugten.

Um ohne Drehung zu verschieben, benutze Verschieben. Um verschiedene Kopien in unterschiedlichen Anordnungen zu erzeugten, benutze Anordung, Draft PfadDatenfeld oder Draft PointArray.

Draft Rotate example.jpg

Drehen eines Objekts mit einem Mittelpunkt-Referenzpunkt, von einem Referenzwinkel zu einen anderen Winkel


Anwendung

  1. Die Objekte auswählen, die gedreht oder kopiert werden sollen
  2. Auf die Schaltfläche Draft Rotate.svg Entwurf Drehen klicken oder die Tasten R und dann O drücken. Wenn kein Objekt ausgewählt wurde, wirst Du gebeten, das zu tun.
  3. Auf den ersten Punkt in der 3D-Ansicht klicken oder die Koordinaten eingeben und die Schaltfläche Draft AddPoint.svg Punkt hinzufügen drücken. Dieser dient als Basispunkt der Operation, durch den die Drehachse verlaufen wird.
  4. Auf einen zweiten Punkt in der 3D-Ansicht klicken oder einen Referenzwinkel angeben. Dies definiert eine Grundlinie, die sich um den ersten Punkt dreht.
  5. Auf einen dritten Punkt in der 3D-Ansicht klicken oder einen Rotationswinkel angeben. Dies gibt die Drehung der Grundlinie an und dadruch die Objekte.

Limitations

When rotating an object that is based on a Sketcher Sketch, for example, a feature created with the PartDesign Workbench (Pad, Revolution, etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

Optionen

  • Die Taste X, Y oder Z nach einem Punkt betätigen, um den nächsten Punkt auf die entsprechende Achse festzulegen.
  • Zum manuellen Eingeben der Koordinaten einfach die Zahlen eingeben und jeweils die Taste ENTER zwischen der X-, Y- und Z-Komponente betätigen.
  • Die Taste T betätigen oder auf das Auswahlkästchen klicken, um die Schaltfläche Nächstes umzuschalten. Wenn der "Nächstes_Modus" aktiv ist, wird das Drehenwerkzeug wieder aufgerufen, nachdem die Operation abgeschlossen oder der Dialog geschlossen wurde. Dies ermöglicht es, weitere Objekte zu drehen oder zu kopieren ohne jedesmal wieder auf die Drehen-Schaltfläche klicken zu müssen.
  • Drücken der Taste ALT oder C oder anklicken der Schaltfläche Kopieren erzeugt eine rotierte Kopie anstatt das originale Objekt zu rotieren. Wenn die Taste ALT nach dem klicken des dritten Punktes gehalten wird, ist es möglich weitere Kopien zu platzieren, bis die Taste ALT wieder losgelassen wird.
  • Das Halten der Taste CTRL während der Mausbewegung erzwingt den Objektfang zur nächsten Fangposition unabhängig vom Abstand dazu.
  • Das Halten der Taste SHIFT während der Mausbewegung schränkt den nächsten Punkt horizontal oder vertikal in Bezug auf das Rotationszentrum ein.
  • Mit der Taste ESC oder durch klicken auf die Schaltfläche Abbrechen wird das aktuelle Kommando abgebrochen.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Drehen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Dreht das angegebene Objekt oder die Objekte in der angegebenen Liste mit dem angegebenen Winkel um das angegebene Rotationszentrum mit der Achse als Rotationsachse.
  • Wenn keine Achse angebeben wird, erfolgt die Drehung um die vertikale Z-Achse.
  • Wenn der Kopiermodus aktiv ist, werden die Objekte nicht bewegt, sondern es werden stattdessen Kopien erzeugt.
  • Gibt die Objekte (oder die Kopien im Kopiermodus) zurück.

Beispiel:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)